## org.hibernate.loader.entity
Class CascadeEntityJoinWalker

    java.lang.Object
      org.hibernate.loader.JoinWalker
          org.hibernate.loader.AbstractEntityJoinWalker
              org.hibernate.loader.entity.CascadeEntityJoinWalker

    public class CascadeEntityJoinWalker

extends AbstractEntityJoinWalker

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.loader.JoinWalker
`JoinWalker.AssociationInitCallback`

Field Summary

Fields inherited from class org.hibernate.loader.JoinWalker
`aliases, associations, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, lockOptions, ownerAssociationTypes, owners, persisters, sql, suffixes`

Constructor Summary
`CascadeEntityJoinWalker(OuterJoinLoadable persister, CascadingAction action, SessionFactoryImplementor factory)`

Method Summary
`String` `getComment()`
`protected boolean` `isJoinedFetchEnabled(AssociationType type, FetchMode config, CascadeStyle cascadeStyle)` The superclass deliberately excludes collections
`protected boolean` `isTooManyCollections()`

Methods inherited from class org.hibernate.loader.AbstractEntityJoinWalker
`getAlias, getPersister, getWhereFragment, initAll, initAll, initProjection, isDuplicateAssociation, isJoinFetchEnabledByProfile, toString`

Methods inherited from class org.hibernate.loader.JoinWalker

`countCollectionPersisters, countEntityPersisters, generateRootAlias, generateTableAlias, getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getFactory, getJoinType, getJoinType, getJoinType, getLoadQueryInfluencers, getLockModeArray, getLockModeOptions, getOwnerAssociationTypes, getOwners, getPersisters, getSQLString, getSuffixes, getWithClause, hasRestriction, initPersisters, initPersisters, initPersisters, isDuplicateAssociation, isJoinable, isJoinedFetchEnabledInMapping, isTooDeep, mergeOrderings, mergeOuterJoins, orderBy, orderBy, selectString, setAliases, setCollectionOwners, setCollectionPersisters, setCollectionSuffixes, setOwnerAssociationTypes, setOwners, setPersisters, setSql, setSuffixes, walkCollectionTree, walkEntityTree, whereString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadeEntityJoinWalker

    public CascadeEntityJoinWalker(OuterJoinLoadable persister,
                                   CascadingAction action,
                                   SessionFactoryImplementor factory)
                            throws MappingException

Throws:
  `MappingException`

Method Detail

### isJoinedFetchEnabled

    protected boolean isJoinedFetchEnabled(AssociationType type,
                                           FetchMode config,
                                           CascadeStyle cascadeStyle)

  Description copied from class: `AbstractEntityJoinWalker`
  The superclass deliberately excludes collections

  Overrides:
    `isJoinedFetchEnabled` in class `AbstractEntityJoinWalker`

### isTooManyCollections

    protected boolean isTooManyCollections()

  Overrides:
    `isTooManyCollections` in class `JoinWalker`

### getComment

    public String getComment()

  Specified by:
    `getComment` in class `AbstractEntityJoinWalker`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.